<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new PageMargins.">
            <span class="description">Create a new PageMargins.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getBottom" title="getBottom ::Get Bottom.">
            <span class="description">Get Bottom.</span><pre>getBottom</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFooter" title="getFooter ::Get Footer.">
            <span class="description">Get Footer.</span><pre>getFooter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHeader" title="getHeader ::Get Header.">
            <span class="description">Get Header.</span><pre>getHeader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLeft" title="getLeft ::Get Left.">
            <span class="description">Get Left.</span><pre>getLeft</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getRight" title="getRight ::Get Right.">
            <span class="description">Get Right.</span><pre>getRight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTop" title="getTop ::Get Top.">
            <span class="description">Get Top.</span><pre>getTop</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setBottom" title="setBottom ::Set Bottom.">
            <span class="description">Set Bottom.</span><pre>setBottom</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFooter" title="setFooter ::Set Footer.">
            <span class="description">Set Footer.</span><pre>setFooter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setHeader" title="setHeader ::Set Header.">
            <span class="description">Set Header.</span><pre>setHeader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLeft" title="setLeft ::Set Left.">
            <span class="description">Set Left.</span><pre>setLeft</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setRight" title="setRight ::Set Right.">
            <span class="description">Set Right.</span><pre>setRight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setTop" title="setTop ::Set Top.">
            <span class="description">Set Top.</span><pre>setTop</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>PageMargins</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new PageMargins.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getBottom"></a>
                        <div class="element clickable methodpublic method_getBottom" data-toggle="collapse" data-target=".method_getBottom .collapse">
                            <h2>Get Bottom.</h2>
                            <pre>getBottom(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFooter"></a>
                        <div class="element clickable methodpublic method_getFooter" data-toggle="collapse" data-target=".method_getFooter .collapse">
                            <h2>Get Footer.</h2>
                            <pre>getFooter(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHeader"></a>
                        <div class="element clickable methodpublic method_getHeader" data-toggle="collapse" data-target=".method_getHeader .collapse">
                            <h2>Get Header.</h2>
                            <pre>getHeader(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLeft"></a>
                        <div class="element clickable methodpublic method_getLeft" data-toggle="collapse" data-target=".method_getLeft .collapse">
                            <h2>Get Left.</h2>
                            <pre>getLeft(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getRight"></a>
                        <div class="element clickable methodpublic method_getRight" data-toggle="collapse" data-target=".method_getRight .collapse">
                            <h2>Get Right.</h2>
                            <pre>getRight(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTop"></a>
                        <div class="element clickable methodpublic method_getTop" data-toggle="collapse" data-target=".method_getTop .collapse">
                            <h2>Get Top.</h2>
                            <pre>getTop(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setBottom"></a>
                        <div class="element clickable methodpublic method_setBottom" data-toggle="collapse" data-target=".method_setBottom .collapse">
                            <h2>Set Bottom.</h2>
                            <pre>setBottom(float $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html">\PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFooter"></a>
                        <div class="element clickable methodpublic method_setFooter" data-toggle="collapse" data-target=".method_setFooter .collapse">
                            <h2>Set Footer.</h2>
                            <pre>setFooter(float $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html">\PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setHeader"></a>
                        <div class="element clickable methodpublic method_setHeader" data-toggle="collapse" data-target=".method_setHeader .collapse">
                            <h2>Set Header.</h2>
                            <pre>setHeader(float $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html">\PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLeft"></a>
                        <div class="element clickable methodpublic method_setLeft" data-toggle="collapse" data-target=".method_setLeft .collapse">
                            <h2>Set Left.</h2>
                            <pre>setLeft(float $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html">\PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setRight"></a>
                        <div class="element clickable methodpublic method_setRight" data-toggle="collapse" data-target=".method_setRight .collapse">
                            <h2>Set Right.</h2>
                            <pre>setRight(float $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html">\PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setTop"></a>
                        <div class="element clickable methodpublic method_setTop" data-toggle="collapse" data-target=".method_setTop .collapse">
                            <h2>Set Top.</h2>
                            <pre>setTop(float $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html">\PhpOffice\PhpSpreadsheet\Worksheet\PageMargins</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_left"> </a>
                            <div class="element clickable propertyprivate property_left" data-toggle="collapse" data-target=".property_left .collapse">
                                <h2>Left.</h2>
                                <pre>left :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_right"> </a>
                            <div class="element clickable propertyprivate property_right" data-toggle="collapse" data-target=".property_right .collapse">
                                <h2>Right.</h2>
                                <pre>right :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_top"> </a>
                            <div class="element clickable propertyprivate property_top" data-toggle="collapse" data-target=".property_top .collapse">
                                <h2>Top.</h2>
                                <pre>top :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_bottom"> </a>
                            <div class="element clickable propertyprivate property_bottom" data-toggle="collapse" data-target=".property_bottom .collapse">
                                <h2>Bottom.</h2>
                                <pre>bottom :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_header"> </a>
                            <div class="element clickable propertyprivate property_header" data-toggle="collapse" data-target=".property_header .collapse">
                                <h2>Header.</h2>
                                <pre>header :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_footer"> </a>
                            <div class="element clickable propertyprivate property_footer" data-toggle="collapse" data-target=".property_footer .collapse">
                                <h2>Footer.</h2>
                                <pre>footer :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Worksheet\PageMargins"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html">PageMargins</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:51 +0000.<br/>
    </footer></body>
</html>
